#if QT_VERSION >= 0x050000
#define DQB_PLUGIN(T, IID_S) \
        Q_INTERFACES(T) \
        Q_PLUGIN_METADATA(IID IID_S FILE "plugin.json") \
        public : \
        virtual QString organisationName ()\
        {return "labri";}\
        virtual QString algorithmName ()\
        {return "ThreeDDistortionModel";}\
        virtual QString version()\
        {return "0.0.1";} \
        virtual QString author() \
        {return "Kieu Van Cuong <vkieu@labri.fr>"; } \
        virtual QString pluginId() { return "labri.ThreeDDistortionModel.0.0.1"; } \
        virtual QString description () { return "3D distortion model for document images. Developped for the ANR-Digidoc project by kvcuong"; } \

#define DQB_EXPORT_PLUGIN(T)

#else

#define DQB_PLUGIN(T, IID) \
        Q_INTERFACES(T) \
        public : \
        virtual QString organisationName ()\
        {return "labri";}\
        virtual QString algorithmName ()\
        {return "ThreeDDistortionModel";}\
        virtual QString version()\
        {return "0.0.1";} \
        virtual QString author() \
        {return "Kieu Van Cuong <vkieu@labri.fr>"; } \
        virtual QString pluginId() { return "labri.ThreeDDistortionModel.0.0.1"; } \
        virtual QString description () { return "3D distortion model for document images. Developped for the ANR-Digidoc project by kvcuong"; } \

#define DQB_EXPORT_PLUGIN(T) \
    Q_EXPORT_PLUGIN2(T ## Plugin, T)


#endif

